source: squid-ssl/trunk/fuentes/src/acl/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 49.0 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
93@ENABLE_SSL_TRUE@am__append_2 = $(SSL_ACLS)
94@USE_ADAPTATION_TRUE@am__append_3 = AdaptationService.h \
95@USE_ADAPTATION_TRUE@   AdaptationService.cc \
96@USE_ADAPTATION_TRUE@   AdaptationServiceData.h \
97@USE_ADAPTATION_TRUE@   AdaptationServiceData.cc
98
99@USE_SQUID_EUI_TRUE@am__append_4 = $(ARP_ACLS)
100subdir = src/acl
101ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
102am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
103        $(top_srcdir)/acinclude/init.m4 \
104        $(top_srcdir)/acinclude/squid-util.m4 \
105        $(top_srcdir)/acinclude/compiler-flags.m4 \
106        $(top_srcdir)/acinclude/os-deps.m4 \
107        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
108        $(top_srcdir)/acinclude/pkg.m4 \
109        $(top_srcdir)/acinclude/lib-checks.m4 \
110        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
111        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
112        $(top_srcdir)/helpers/basic_auth/modules.m4 \
113        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
123        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
124        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
125        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
126        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
127        $(top_srcdir)/helpers/digest_auth/modules.m4 \
128        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
129        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
130        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
131        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
132        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
134        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
135        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
136        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
137        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
138        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
139        $(top_srcdir)/helpers/log_daemon/modules.m4 \
140        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
141        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
142        $(top_srcdir)/helpers/external_acl/modules.m4 \
143        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
145        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
147        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
148        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
149        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
150        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
151        $(top_srcdir)/helpers/external_acl/session/required.m4 \
152        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
153        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
154        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
155        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
156        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
157        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
158        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
159        $(top_srcdir)/configure.ac
160am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
161        $(ACLOCAL_M4)
162DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
163mkinstalldirs = $(install_sh) -d
164CONFIG_HEADER = $(top_builddir)/include/autoconf.h
165CONFIG_CLEAN_FILES =
166CONFIG_CLEAN_VPATH_FILES =
167LTLIBRARIES = $(noinst_LTLIBRARIES)
168libacls_la_LIBADD =
169am__libacls_la_SOURCES_DIST = IntRange.cc IntRange.h RegexData.cc \
170        RegexData.h StringData.cc StringData.h Time.cc Time.h \
171        TimeData.cc TimeData.h AllOf.cc AllOf.h AnyOf.cc AnyOf.h \
172        Asn.cc Asn.h Browser.cc Browser.h DestinationAsn.h \
173        DestinationDomain.cc DestinationDomain.h DestinationIp.cc \
174        DestinationIp.h DomainData.cc DomainData.h ExtUser.cc \
175        ExtUser.h HierCodeData.cc HierCodeData.h HierCode.cc \
176        HierCode.h HttpHeaderData.cc HttpHeaderData.h HttpRepHeader.cc \
177        HttpRepHeader.h HttpReqHeader.cc HttpReqHeader.h HttpStatus.cc \
178        HttpStatus.h Ip.cc Ip.h LocalIp.cc LocalIp.h LocalPort.cc \
179        LocalPort.h MaxConnection.cc MaxConnection.h Method.cc \
180        MethodData.cc MethodData.h Method.h MyPortName.cc MyPortName.h \
181        Note.h Note.cc NoteData.h NoteData.cc PeerName.cc PeerName.h \
182        Protocol.cc ProtocolData.cc ProtocolData.h Protocol.h \
183        Random.cc Random.h Referer.cc Referer.h ReplyHeaderStrategy.h \
184        ReplyMimeType.cc ReplyMimeType.h RequestHeaderStrategy.h \
185        RequestMimeType.cc RequestMimeType.h SourceAsn.h \
186        SourceDomain.cc SourceDomain.h SourceIp.cc SourceIp.h Tag.cc \
187        Tag.h Url.cc Url.h UrlLogin.cc UrlLogin.h UrlPath.cc UrlPath.h \
188        UrlPort.cc UrlPort.h UserData.cc UserData.h AclNameList.h \
189        AclDenyInfoList.h Gadgets.cc Gadgets.h AclSizeLimit.h \
190        AtStep.cc AtStep.h AtStepData.cc AtStepData.h \
191        CertificateData.cc CertificateData.h Certificate.cc \
192        Certificate.h ServerCertificate.cc ServerCertificate.h \
193        ServerName.cc ServerName.h SslError.cc SslError.h \
194        SslErrorData.cc SslErrorData.h AdaptationService.h \
195        AdaptationService.cc AdaptationServiceData.h \
196        AdaptationServiceData.cc Arp.cc Arp.h Eui64.cc Eui64.h
197am__objects_1 = AtStep.lo AtStepData.lo CertificateData.lo \
198        Certificate.lo ServerCertificate.lo ServerName.lo SslError.lo \
199        SslErrorData.lo
200@ENABLE_SSL_TRUE@am__objects_2 = $(am__objects_1)
201@USE_ADAPTATION_TRUE@am__objects_3 = AdaptationService.lo \
202@USE_ADAPTATION_TRUE@   AdaptationServiceData.lo
203am__objects_4 = Arp.lo Eui64.lo
204@USE_SQUID_EUI_TRUE@am__objects_5 = $(am__objects_4)
205am_libacls_la_OBJECTS = IntRange.lo RegexData.lo StringData.lo Time.lo \
206        TimeData.lo AllOf.lo AnyOf.lo Asn.lo Browser.lo \
207        DestinationDomain.lo DestinationIp.lo DomainData.lo ExtUser.lo \
208        HierCodeData.lo HierCode.lo HttpHeaderData.lo HttpRepHeader.lo \
209        HttpReqHeader.lo HttpStatus.lo Ip.lo LocalIp.lo LocalPort.lo \
210        MaxConnection.lo Method.lo MethodData.lo MyPortName.lo Note.lo \
211        NoteData.lo PeerName.lo Protocol.lo ProtocolData.lo Random.lo \
212        Referer.lo ReplyMimeType.lo RequestMimeType.lo SourceDomain.lo \
213        SourceIp.lo Tag.lo Url.lo UrlLogin.lo UrlPath.lo UrlPort.lo \
214        UserData.lo Gadgets.lo $(am__objects_2) $(am__objects_3) \
215        $(am__objects_5)
216libacls_la_OBJECTS = $(am_libacls_la_OBJECTS)
217AM_V_lt = $(am__v_lt_@AM_V@)
218am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
219am__v_lt_0 = --silent
220am__v_lt_1 =
221libapi_la_LIBADD =
222am_libapi_la_OBJECTS = Acl.lo BoolOps.lo Checklist.lo InnerNode.lo \
223        Tree.lo
224libapi_la_OBJECTS = $(am_libapi_la_OBJECTS)
225libstate_la_LIBADD =
226am_libstate_la_OBJECTS = Strategised.lo FilledChecklist.lo \
227        AclAddress.lo
228libstate_la_OBJECTS = $(am_libstate_la_OBJECTS)
229AM_V_P = $(am__v_P_@AM_V@)
230am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
231am__v_P_0 = false
232am__v_P_1 = :
233AM_V_GEN = $(am__v_GEN_@AM_V@)
234am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
235am__v_GEN_0 = @echo "  GEN     " $@;
236am__v_GEN_1 =
237AM_V_at = $(am__v_at_@AM_V@)
238am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
239am__v_at_0 = @
240am__v_at_1 =
241DEFAULT_INCLUDES =
242depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
243am__depfiles_maybe = depfiles
244am__mv = mv -f
245CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
246        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
247LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
248        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
249        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
250        $(AM_CXXFLAGS) $(CXXFLAGS)
251AM_V_CXX = $(am__v_CXX_@AM_V@)
252am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
253am__v_CXX_0 = @echo "  CXX     " $@;
254am__v_CXX_1 =
255CXXLD = $(CXX)
256CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
257        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
258        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
259AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
260am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
261am__v_CXXLD_0 = @echo "  CXXLD   " $@;
262am__v_CXXLD_1 =
263COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
264        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
265LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
266        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
267        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
268        $(AM_CFLAGS) $(CFLAGS)
269AM_V_CC = $(am__v_CC_@AM_V@)
270am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
271am__v_CC_0 = @echo "  CC      " $@;
272am__v_CC_1 =
273CCLD = $(CC)
274LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
275        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
276        $(AM_LDFLAGS) $(LDFLAGS) -o $@
277AM_V_CCLD = $(am__v_CCLD_@AM_V@)
278am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
279am__v_CCLD_0 = @echo "  CCLD    " $@;
280am__v_CCLD_1 =
281SOURCES = $(libacls_la_SOURCES) $(EXTRA_libacls_la_SOURCES) \
282        $(libapi_la_SOURCES) $(libstate_la_SOURCES)
283DIST_SOURCES = $(am__libacls_la_SOURCES_DIST) \
284        $(EXTRA_libacls_la_SOURCES) $(libapi_la_SOURCES) \
285        $(libstate_la_SOURCES)
286am__can_run_installinfo = \
287  case $$AM_UPDATE_INFO_DIR in \
288    n|no|NO) false;; \
289    *) (install-info --version) >/dev/null 2>&1;; \
290  esac
291am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
292# Read a list of newline-separated strings from the standard input,
293# and print each of them once, without duplicates.  Input order is
294# *not* preserved.
295am__uniquify_input = $(AWK) '\
296  BEGIN { nonempty = 0; } \
297  { items[$$0] = 1; nonempty = 1; } \
298  END { if (nonempty) { for (i in items) print i; }; } \
299'
300# Make sure the list of sources is unique.  This is necessary because,
301# e.g., the same source file might be shared among _SOURCES variables
302# for different programs/libraries.
303am__define_uniq_tagged_files = \
304  list='$(am__tagged_files)'; \
305  unique=`for i in $$list; do \
306    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
307  done | $(am__uniquify_input)`
308ETAGS = etags
309CTAGS = ctags
310am__tty_colors_dummy = \
311  mgn= red= grn= lgn= blu= brg= std=; \
312  am__color_tests=no
313am__tty_colors = { \
314  $(am__tty_colors_dummy); \
315  if test "X$(AM_COLOR_TESTS)" = Xno; then \
316    am__color_tests=no; \
317  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
318    am__color_tests=yes; \
319  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
320    am__color_tests=yes; \
321  fi; \
322  if test $$am__color_tests = yes; then \
323    red='[0;31m'; \
324    grn='[0;32m'; \
325    lgn='[1;32m'; \
326    blu='[1;34m'; \
327    mgn='[0;35m'; \
328    brg='[1m'; \
329    std='[m'; \
330  fi; \
331}
332am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
333am__vpath_adj = case $$p in \
334    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
335    *) f=$$p;; \
336  esac;
337am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
338am__install_max = 40
339am__nobase_strip_setup = \
340  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
341am__nobase_strip = \
342  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
343am__nobase_list = $(am__nobase_strip_setup); \
344  for p in $$list; do echo "$$p $$p"; done | \
345  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
346  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
347    if (++n[$$2] == $(am__install_max)) \
348      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
349    END { for (dir in files) print dir, files[dir] }'
350am__base_list = \
351  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
352  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
353am__uninstall_files_from_dir = { \
354  test -z "$$files" \
355    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
356    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
357         $(am__cd) "$$dir" && rm -f $$files; }; \
358  }
359am__recheck_rx = ^[     ]*:recheck:[    ]*
360am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
361am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
362# A command that, given a newline-separated list of test names on the
363# standard input, print the name of the tests that are to be re-run
364# upon "make recheck".
365am__list_recheck_tests = $(AWK) '{ \
366  recheck = 1; \
367  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
368    { \
369      if (rc < 0) \
370        { \
371          if ((getline line2 < ($$0 ".log")) < 0) \
372            recheck = 0; \
373          break; \
374        } \
375      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
376        { \
377          recheck = 0; \
378          break; \
379        } \
380      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
381        { \
382          break; \
383        } \
384    }; \
385  if (recheck) \
386    print $$0; \
387  close ($$0 ".trs"); \
388  close ($$0 ".log"); \
389}'
390# A command that, given a newline-separated list of test names on the
391# standard input, create the global log from their .trs and .log files.
392am__create_global_log = $(AWK) ' \
393function fatal(msg) \
394{ \
395  print "fatal: making $@: " msg | "cat >&2"; \
396  exit 1; \
397} \
398function rst_section(header) \
399{ \
400  print header; \
401  len = length(header); \
402  for (i = 1; i <= len; i = i + 1) \
403    printf "="; \
404  printf "\n\n"; \
405} \
406{ \
407  copy_in_global_log = 1; \
408  global_test_result = "RUN"; \
409  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
410    { \
411      if (rc < 0) \
412         fatal("failed to read from " $$0 ".trs"); \
413      if (line ~ /$(am__global_test_result_rx)/) \
414        { \
415          sub("$(am__global_test_result_rx)", "", line); \
416          sub("[        ]*$$", "", line); \
417          global_test_result = line; \
418        } \
419      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
420        copy_in_global_log = 0; \
421    }; \
422  if (copy_in_global_log) \
423    { \
424      rst_section(global_test_result ": " $$0); \
425      while ((rc = (getline line < ($$0 ".log"))) != 0) \
426      { \
427        if (rc < 0) \
428          fatal("failed to read from " $$0 ".log"); \
429        print line; \
430      }; \
431      printf "\n"; \
432    }; \
433  close ($$0 ".trs"); \
434  close ($$0 ".log"); \
435}'
436# Restructured Text title.
437am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
438# Solaris 10 'make', and several other traditional 'make' implementations,
439# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
440# by disabling -e (using the XSI extension "set +e") if it's set.
441am__sh_e_setup = case $$- in *e*) set +e;; esac
442# Default flags passed to test drivers.
443am__common_driver_flags = \
444  --color-tests "$$am__color_tests" \
445  --enable-hard-errors "$$am__enable_hard_errors" \
446  --expect-failure "$$am__expect_failure"
447# To be inserted before the command running the test.  Creates the
448# directory for the log if needed.  Stores in $dir the directory
449# containing $f, in $tst the test, in $log the log.  Executes the
450# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
451# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
452# will run the test scripts (or their associated LOG_COMPILER, if
453# thy have one).
454am__check_pre = \
455$(am__sh_e_setup);                                      \
456$(am__vpath_adj_setup) $(am__vpath_adj)                 \
457$(am__tty_colors);                                      \
458srcdir=$(srcdir); export srcdir;                        \
459case "$@" in                                            \
460  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
461    *) am__odir=.;;                                     \
462esac;                                                   \
463test "x$$am__odir" = x"." || test -d "$$am__odir"       \
464  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
465if test -f "./$$f"; then dir=./;                        \
466elif test -f "$$f"; then dir=;                          \
467else dir="$(srcdir)/"; fi;                              \
468tst=$$dir$$f; log='$@';                                 \
469if test -n '$(DISABLE_HARD_ERRORS)'; then               \
470  am__enable_hard_errors=no;                            \
471else                                                    \
472  am__enable_hard_errors=yes;                           \
473fi;                                                     \
474case " $(XFAIL_TESTS) " in                              \
475  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
476    am__expect_failure=yes;;                            \
477  *)                                                    \
478    am__expect_failure=no;;                             \
479esac;                                                   \
480$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
481# A shell command to get the names of the tests scripts with any registered
482# extension removed (i.e., equivalently, the names of the test logs, with
483# the '.log' extension removed).  The result is saved in the shell variable
484# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
485# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
486# since that might cause problem with VPATH rewrites for suffix-less tests.
487# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
488am__set_TESTS_bases = \
489  bases='$(TEST_LOGS)'; \
490  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
491  bases=`echo $$bases`
492RECHECK_LOGS = $(TEST_LOGS)
493AM_RECURSIVE_TARGETS = check recheck
494TEST_SUITE_LOG = test-suite.log
495TEST_EXTENSIONS = @EXEEXT@ .test
496LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
497LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
498am__set_b = \
499  case '$@' in \
500    */*) \
501      case '$*' in \
502        */*) b='$*';; \
503          *) b=`echo '$@' | sed 's/\.log$$//'`; \
504       esac;; \
505    *) \
506      b='$*';; \
507  esac
508am__test_logs1 = $(TESTS:=.log)
509am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
510TEST_LOGS = $(am__test_logs2:.test.log=.log)
511TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
512TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
513        $(TEST_LOG_FLAGS)
514am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
515        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
516        $(top_srcdir)/src/TestHeaders.am
517DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
518ACLOCAL = @ACLOCAL@
519ADAPTATION_LIBS = @ADAPTATION_LIBS@
520ALLOCA = @ALLOCA@
521AMTAR = @AMTAR@
522AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
523AR = @AR@
524ARGZ_H = @ARGZ_H@
525AR_R = @AR_R@
526AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
527AUTH_MODULES = @AUTH_MODULES@
528AUTOCONF = @AUTOCONF@
529AUTOHEADER = @AUTOHEADER@
530AUTOMAKE = @AUTOMAKE@
531AWK = @AWK@
532BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
533BUILDCXX = @BUILDCXX@
534BUILDCXXFLAGS = @BUILDCXXFLAGS@
535BZR = @BZR@
536CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
537CC = @CC@
538CCDEPMODE = @CCDEPMODE@
539CFLAGS = @CFLAGS@
540CGIEXT = @CGIEXT@
541CHMOD = @CHMOD@
542CPP = @CPP@
543CPPFLAGS = @CPPFLAGS@
544CPPUNITCONFIG = @CPPUNITCONFIG@
545CRYPTLIB = @CRYPTLIB@
546CXX = @CXX@
547CXXCPP = @CXXCPP@
548CXXDEPMODE = @CXXDEPMODE@
549CXXFLAGS = @CXXFLAGS@
550CYGPATH_W = @CYGPATH_W@
551DEFAULT_HOSTS = @DEFAULT_HOSTS@
552DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
553DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
554DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
555DEFS = @DEFS@
556DEPDIR = @DEPDIR@
557DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
558DISK_LIBS = @DISK_LIBS@
559DISK_LINKOBJS = @DISK_LINKOBJS@
560DISK_MODULES = @DISK_MODULES@
561DISK_OS_LIBS = @DISK_OS_LIBS@
562DISK_PROGRAMS = @DISK_PROGRAMS@
563DLLTOOL = @DLLTOOL@
564DSYMUTIL = @DSYMUTIL@
565DUMPBIN = @DUMPBIN@
566ECAP_LIBS = @ECAP_LIBS@
567ECHO_C = @ECHO_C@
568ECHO_N = @ECHO_N@
569ECHO_T = @ECHO_T@
570EGREP = @EGREP@
571EPOLL_LIBS = @EPOLL_LIBS@
572EUILIB = @EUILIB@
573EXEEXT = @EXEEXT@
574EXPATLIB = @EXPATLIB@
575EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
576EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
577EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
578FALSE = @FALSE@
579FGREP = @FGREP@
580GREP = @GREP@
581HAVE_CXX11 = @HAVE_CXX11@
582ICAP_LIBS = @ICAP_LIBS@
583INCLTDL = @INCLTDL@
584INSTALL = @INSTALL@
585INSTALL_DATA = @INSTALL_DATA@
586INSTALL_PROGRAM = @INSTALL_PROGRAM@
587INSTALL_SCRIPT = @INSTALL_SCRIPT@
588INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
589KRB5INCS = @KRB5INCS@
590KRB5LIBS = @KRB5LIBS@
591LBERLIB = @LBERLIB@
592LD = @LD@
593LDAPLIB = @LDAPLIB@
594LDFLAGS = @LDFLAGS@
595LIBADD_DL = @LIBADD_DL@
596LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
597LIBADD_DLOPEN = @LIBADD_DLOPEN@
598LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
599LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
600LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
601LIBLTDL = @LIBLTDL@
602LIBOBJS = @LIBOBJS@
603LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
604LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
605LIBS = @LIBS@
606LIBSASL = @LIBSASL@
607LIBTOOL = @LIBTOOL@
608LIB_DB = @LIB_DB@
609LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
610LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
611LINUXDOC = @LINUXDOC@
612LIPO = @LIPO@
613LN = @LN@
614LN_S = @LN_S@
615LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
616LTDLDEPS = @LTDLDEPS@
617LTDLINCL = @LTDLINCL@
618LTDLOPEN = @LTDLOPEN@
619LTLIBOBJS = @LTLIBOBJS@
620LT_CONFIG_H = @LT_CONFIG_H@
621LT_DLLOADERS = @LT_DLLOADERS@
622LT_DLPREOPEN = @LT_DLPREOPEN@
623MAINT = @MAINT@
624MAKEINFO = @MAKEINFO@
625MANIFEST_TOOL = @MANIFEST_TOOL@
626MINGW_LIBS = @MINGW_LIBS@
627MKDIR = @MKDIR@
628MKDIR_P = @MKDIR_P@
629MV = @MV@
630NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
631NETTLELIB = @NETTLELIB@
632NM = @NM@
633NMEDIT = @NMEDIT@
634NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
635OBJDUMP = @OBJDUMP@
636OBJEXT = @OBJEXT@
637OTOOL = @OTOOL@
638OTOOL64 = @OTOOL64@
639PACKAGE = @PACKAGE@
640PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
641PACKAGE_NAME = @PACKAGE_NAME@
642PACKAGE_STRING = @PACKAGE_STRING@
643PACKAGE_TARNAME = @PACKAGE_TARNAME@
644PACKAGE_URL = @PACKAGE_URL@
645PACKAGE_VERSION = @PACKAGE_VERSION@
646PATH_SEPARATOR = @PATH_SEPARATOR@
647PERL = @PERL@
648PKG_CONFIG = @PKG_CONFIG@
649PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
650PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
651PO2HTML = @PO2HTML@
652PO2TEXT = @PO2TEXT@
653POD2MAN = @POD2MAN@
654RANLIB = @RANLIB@
655REGEXLIB = @REGEXLIB@
656REPL_LIBS = @REPL_LIBS@
657REPL_OBJS = @REPL_OBJS@
658REPL_POLICIES = @REPL_POLICIES@
659RM = @RM@
660SED = @SED@
661SET_MAKE = @SET_MAKE@
662SH = @SH@
663SHELL = @SHELL@
664SMBCLIENT = @SMBCLIENT@
665SNMPLIB = @SNMPLIB@
666SQUID_CFLAGS = @SQUID_CFLAGS@
667SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
668SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
669SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
670SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
671SSLLIB = @SSLLIB@
672STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
673STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
674STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
675STORE_TESTS = @STORE_TESTS@
676STRIP = @STRIP@
677TR = @TR@
678TRUE = @TRUE@
679URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
680VERSION = @VERSION@
681WBINFO = @WBINFO@
682WIN32_PSAPI = @WIN32_PSAPI@
683XMLLIB = @XMLLIB@
684XTRA_LIBS = @XTRA_LIBS@
685XTRA_OBJS = @XTRA_OBJS@
686abs_builddir = @abs_builddir@
687abs_srcdir = @abs_srcdir@
688abs_top_builddir = @abs_top_builddir@
689abs_top_srcdir = @abs_top_srcdir@
690ac_ct_AR = @ac_ct_AR@
691ac_ct_CC = @ac_ct_CC@
692ac_ct_CXX = @ac_ct_CXX@
693ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
694am__include = @am__include@
695am__leading_dot = @am__leading_dot@
696am__quote = @am__quote@
697am__tar = @am__tar@
698am__untar = @am__untar@
699bindir = @bindir@
700build = @build@
701build_alias = @build_alias@
702build_cpu = @build_cpu@
703build_os = @build_os@
704build_vendor = @build_vendor@
705builddir = @builddir@
706datadir = @datadir@
707datarootdir = @datarootdir@
708docdir = @docdir@
709dvidir = @dvidir@
710exec_prefix = @exec_prefix@
711host = @host@
712host_alias = @host_alias@
713host_cpu = @host_cpu@
714host_os = @host_os@
715host_vendor = @host_vendor@
716htmldir = @htmldir@
717includedir = @includedir@
718infodir = @infodir@
719install_sh = @install_sh@
720krb5_config = @krb5_config@
721libdir = @libdir@
722libexecdir = @libexecdir@
723localedir = @localedir@
724localstatedir = @localstatedir@
725ltdl_LIBOBJS = @ltdl_LIBOBJS@
726ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
727mandir = @mandir@
728mkdir_p = @mkdir_p@
729oldincludedir = @oldincludedir@
730pdfdir = @pdfdir@
731prefix = @prefix@
732program_transform_name = @program_transform_name@
733psdir = @psdir@
734runstatedir = @runstatedir@
735sbindir = @sbindir@
736sharedstatedir = @sharedstatedir@
737srcdir = @srcdir@
738subdirs = @subdirs@
739sys_symbol_underscore = @sys_symbol_underscore@
740sysconfdir = @sysconfdir@
741target_alias = @target_alias@
742top_build_prefix = @top_build_prefix@
743top_builddir = @top_builddir@
744top_srcdir = @top_srcdir@
745AM_CFLAGS = $(SQUID_CFLAGS)
746AM_CXXFLAGS = $(SQUID_CXXFLAGS)
747CLEANFILES = testHeaders
748TESTS = testHeaders
749AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
750        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
751        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
752        $(am__append_1)
753@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
754@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
755COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
756subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
757noinst_LTLIBRARIES = libapi.la libstate.la libacls.la
758libapi_la_SOURCES = \
759        Acl.cc \
760        Acl.h \
761        BoolOps.cc \
762        BoolOps.h \
763        Checklist.cc \
764        Checklist.h \
765        forward.h \
766        InnerNode.cc \
767        InnerNode.h \
768        Tree.cc \
769        Tree.h
770
771libstate_la_SOURCES = \
772        Data.h \
773        Strategy.h \
774        Strategised.cc \
775        Strategised.h \
776        FilledChecklist.cc \
777        FilledChecklist.h \
778        AclAddress.h \
779        AclAddress.cc
780
781libacls_la_SOURCES = IntRange.cc IntRange.h RegexData.cc RegexData.h \
782        StringData.cc StringData.h Time.cc Time.h TimeData.cc \
783        TimeData.h AllOf.cc AllOf.h AnyOf.cc AnyOf.h Asn.cc Asn.h \
784        Browser.cc Browser.h DestinationAsn.h DestinationDomain.cc \
785        DestinationDomain.h DestinationIp.cc DestinationIp.h \
786        DomainData.cc DomainData.h ExtUser.cc ExtUser.h \
787        HierCodeData.cc HierCodeData.h HierCode.cc HierCode.h \
788        HttpHeaderData.cc HttpHeaderData.h HttpRepHeader.cc \
789        HttpRepHeader.h HttpReqHeader.cc HttpReqHeader.h HttpStatus.cc \
790        HttpStatus.h Ip.cc Ip.h LocalIp.cc LocalIp.h LocalPort.cc \
791        LocalPort.h MaxConnection.cc MaxConnection.h Method.cc \
792        MethodData.cc MethodData.h Method.h MyPortName.cc MyPortName.h \
793        Note.h Note.cc NoteData.h NoteData.cc PeerName.cc PeerName.h \
794        Protocol.cc ProtocolData.cc ProtocolData.h Protocol.h \
795        Random.cc Random.h Referer.cc Referer.h ReplyHeaderStrategy.h \
796        ReplyMimeType.cc ReplyMimeType.h RequestHeaderStrategy.h \
797        RequestMimeType.cc RequestMimeType.h SourceAsn.h \
798        SourceDomain.cc SourceDomain.h SourceIp.cc SourceIp.h Tag.cc \
799        Tag.h Url.cc Url.h UrlLogin.cc UrlLogin.h UrlPath.cc UrlPath.h \
800        UrlPort.cc UrlPort.h UserData.cc UserData.h AclNameList.h \
801        AclDenyInfoList.h Gadgets.cc Gadgets.h AclSizeLimit.h \
802        $(am__append_2) $(am__append_3) $(am__append_4)
803EXTRA_libacls_la_SOURCES = $(SSL_ACLS) $(ARP_ACLS)
804SSL_ACLS = \
805        AtStep.cc \
806        AtStep.h \
807        AtStepData.cc \
808        AtStepData.h \
809        CertificateData.cc \
810        CertificateData.h  \
811        Certificate.cc \
812        Certificate.h  \
813        ServerCertificate.cc \
814        ServerCertificate.h \
815        ServerName.cc \
816        ServerName.h \
817        SslError.cc \
818        SslError.h \
819        SslErrorData.cc \
820        SslErrorData.h
821
822ARP_ACLS = Arp.cc Arp.h Eui64.cc Eui64.h
823all: all-am
824
825.SUFFIXES:
826.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
827$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
828        @for dep in $?; do \
829          case '$(am__configure_deps)' in \
830            *$$dep*) \
831              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
832                && { if test -f $@; then exit 0; else break; fi; }; \
833              exit 1;; \
834          esac; \
835        done; \
836        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/acl/Makefile'; \
837        $(am__cd) $(top_srcdir) && \
838          $(AUTOMAKE) --foreign src/acl/Makefile
839Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
840        @case '$?' in \
841          *config.status*) \
842            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
843          *) \
844            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
845            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
846        esac;
847$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
848
849$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
850        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
851
852$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
853        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
854$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
855        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
856$(am__aclocal_m4_deps):
857
858clean-noinstLTLIBRARIES:
859        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
860        @list='$(noinst_LTLIBRARIES)'; \
861        locs=`for p in $$list; do echo $$p; done | \
862              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
863              sort -u`; \
864        test -z "$$locs" || { \
865          echo rm -f $${locs}; \
866          rm -f $${locs}; \
867        }
868
869libacls.la: $(libacls_la_OBJECTS) $(libacls_la_DEPENDENCIES) $(EXTRA_libacls_la_DEPENDENCIES)
870        $(AM_V_CXXLD)$(CXXLINK)  $(libacls_la_OBJECTS) $(libacls_la_LIBADD) $(LIBS)
871
872libapi.la: $(libapi_la_OBJECTS) $(libapi_la_DEPENDENCIES) $(EXTRA_libapi_la_DEPENDENCIES)
873        $(AM_V_CXXLD)$(CXXLINK)  $(libapi_la_OBJECTS) $(libapi_la_LIBADD) $(LIBS)
874
875libstate.la: $(libstate_la_OBJECTS) $(libstate_la_DEPENDENCIES) $(EXTRA_libstate_la_DEPENDENCIES)
876        $(AM_V_CXXLD)$(CXXLINK)  $(libstate_la_OBJECTS) $(libstate_la_LIBADD) $(LIBS)
877
878clean-checkPROGRAMS:
879        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
880        echo " rm -f" $$list; \
881        rm -f $$list || exit $$?; \
882        test -n "$(EXEEXT)" || exit 0; \
883        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
884        echo " rm -f" $$list; \
885        rm -f $$list
886
887mostlyclean-compile:
888        -rm -f *.$(OBJEXT)
889
890distclean-compile:
891        -rm -f *.tab.c
892
893@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Acl.Plo@am__quote@
894@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/AclAddress.Plo@am__quote@
895@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/AdaptationService.Plo@am__quote@
896@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/AdaptationServiceData.Plo@am__quote@
897@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/AllOf.Plo@am__quote@
898@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/AnyOf.Plo@am__quote@
899@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Arp.Plo@am__quote@
900@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Asn.Plo@am__quote@
901@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/AtStep.Plo@am__quote@
902@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/AtStepData.Plo@am__quote@
903@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BoolOps.Plo@am__quote@
904@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Browser.Plo@am__quote@
905@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Certificate.Plo@am__quote@
906@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CertificateData.Plo@am__quote@
907@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Checklist.Plo@am__quote@
908@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/DestinationDomain.Plo@am__quote@
909@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/DestinationIp.Plo@am__quote@
910@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/DomainData.Plo@am__quote@
911@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Eui64.Plo@am__quote@
912@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ExtUser.Plo@am__quote@
913@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/FilledChecklist.Plo@am__quote@
914@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Gadgets.Plo@am__quote@
915@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HierCode.Plo@am__quote@
916@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HierCodeData.Plo@am__quote@
917@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpHeaderData.Plo@am__quote@
918@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpRepHeader.Plo@am__quote@
919@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpReqHeader.Plo@am__quote@
920@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpStatus.Plo@am__quote@
921@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/InnerNode.Plo@am__quote@
922@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/IntRange.Plo@am__quote@
923@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Ip.Plo@am__quote@
924@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/LocalIp.Plo@am__quote@
925@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/LocalPort.Plo@am__quote@
926@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/MaxConnection.Plo@am__quote@
927@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Method.Plo@am__quote@
928@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/MethodData.Plo@am__quote@
929@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/MyPortName.Plo@am__quote@
930@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Note.Plo@am__quote@
931@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/NoteData.Plo@am__quote@
932@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/PeerName.Plo@am__quote@
933@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Protocol.Plo@am__quote@
934@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ProtocolData.Plo@am__quote@
935@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Random.Plo@am__quote@
936@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Referer.Plo@am__quote@
937@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/RegexData.Plo@am__quote@
938@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ReplyMimeType.Plo@am__quote@
939@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/RequestMimeType.Plo@am__quote@
940@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ServerCertificate.Plo@am__quote@
941@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ServerName.Plo@am__quote@
942@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SourceDomain.Plo@am__quote@
943@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SourceIp.Plo@am__quote@
944@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SslError.Plo@am__quote@
945@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SslErrorData.Plo@am__quote@
946@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Strategised.Plo@am__quote@
947@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/StringData.Plo@am__quote@
948@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Tag.Plo@am__quote@
949@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Time.Plo@am__quote@
950@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/TimeData.Plo@am__quote@
951@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Tree.Plo@am__quote@
952@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Url.Plo@am__quote@
953@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/UrlLogin.Plo@am__quote@
954@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/UrlPath.Plo@am__quote@
955@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/UrlPort.Plo@am__quote@
956@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/UserData.Plo@am__quote@
957
958.cc.o:
959@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
960@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
961@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
962@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
963@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
964@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
965
966.cc.obj:
967@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
968@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
969@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
970@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
971@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
972@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
973
974.cc.lo:
975@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
976@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
977@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
978@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
979@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
980@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
981
982mostlyclean-libtool:
983        -rm -f *.lo
984
985clean-libtool:
986        -rm -rf .libs _libs
987
988ID: $(am__tagged_files)
989        $(am__define_uniq_tagged_files); mkid -fID $$unique
990tags: tags-am
991TAGS: tags
992
993tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
994        set x; \
995        here=`pwd`; \
996        $(am__define_uniq_tagged_files); \
997        shift; \
998        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
999          test -n "$$unique" || unique=$$empty_fix; \
1000          if test $$# -gt 0; then \
1001            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1002              "$$@" $$unique; \
1003          else \
1004            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1005              $$unique; \
1006          fi; \
1007        fi
1008ctags: ctags-am
1009
1010CTAGS: ctags
1011ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1012        $(am__define_uniq_tagged_files); \
1013        test -z "$(CTAGS_ARGS)$$unique" \
1014          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1015             $$unique
1016
1017GTAGS:
1018        here=`$(am__cd) $(top_builddir) && pwd` \
1019          && $(am__cd) $(top_srcdir) \
1020          && gtags -i $(GTAGS_ARGS) "$$here"
1021cscopelist: cscopelist-am
1022
1023cscopelist-am: $(am__tagged_files)
1024        list='$(am__tagged_files)'; \
1025        case "$(srcdir)" in \
1026          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1027          *) sdir=$(subdir)/$(srcdir) ;; \
1028        esac; \
1029        for i in $$list; do \
1030          if test -f "$$i"; then \
1031            echo "$(subdir)/$$i"; \
1032          else \
1033            echo "$$sdir/$$i"; \
1034          fi; \
1035        done >> $(top_builddir)/cscope.files
1036
1037distclean-tags:
1038        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1039
1040# Recover from deleted '.trs' file; this should ensure that
1041# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1042# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1043# to avoid problems with "make -n".
1044.log.trs:
1045        rm -f $< $@
1046        $(MAKE) $(AM_MAKEFLAGS) $<
1047
1048# Leading 'am--fnord' is there to ensure the list of targets does not
1049# expand to empty, as could happen e.g. with make check TESTS=''.
1050am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1051am--force-recheck:
1052        @:
1053
1054$(TEST_SUITE_LOG): $(TEST_LOGS)
1055        @$(am__set_TESTS_bases); \
1056        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1057        redo_bases=`for i in $$bases; do \
1058                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1059                    done`; \
1060        if test -n "$$redo_bases"; then \
1061          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1062          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1063          if $(am__make_dryrun); then :; else \
1064            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1065          fi; \
1066        fi; \
1067        if test -n "$$am__remaking_logs"; then \
1068          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1069               "recursion detected" >&2; \
1070        elif test -n "$$redo_logs"; then \
1071          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1072        fi; \
1073        if $(am__make_dryrun); then :; else \
1074          st=0;  \
1075          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1076          for i in $$redo_bases; do \
1077            test -f $$i.trs && test -r $$i.trs \
1078              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1079            test -f $$i.log && test -r $$i.log \
1080              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1081          done; \
1082          test $$st -eq 0 || exit 1; \
1083        fi
1084        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1085        ws='[   ]'; \
1086        results=`for b in $$bases; do echo $$b.trs; done`; \
1087        test -n "$$results" || results=/dev/null; \
1088        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1089        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1090        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1091        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1092        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1093        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1094        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1095        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1096          success=true; \
1097        else \
1098          success=false; \
1099        fi; \
1100        br='==================='; br=$$br$$br$$br$$br; \
1101        result_count () \
1102        { \
1103            if test x"$$1" = x"--maybe-color"; then \
1104              maybe_colorize=yes; \
1105            elif test x"$$1" = x"--no-color"; then \
1106              maybe_colorize=no; \
1107            else \
1108              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1109            fi; \
1110            shift; \
1111            desc=$$1 count=$$2; \
1112            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1113              color_start=$$3 color_end=$$std; \
1114            else \
1115              color_start= color_end=; \
1116            fi; \
1117            echo "$${color_start}# $$desc $$count$${color_end}"; \
1118        }; \
1119        create_testsuite_report () \
1120        { \
1121          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1122          result_count $$1 "PASS: " $$pass  "$$grn"; \
1123          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1124          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1125          result_count $$1 "FAIL: " $$fail  "$$red"; \
1126          result_count $$1 "XPASS:" $$xpass "$$red"; \
1127          result_count $$1 "ERROR:" $$error "$$mgn"; \
1128        }; \
1129        {                                                               \
1130          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1131            $(am__rst_title);                                           \
1132          create_testsuite_report --no-color;                           \
1133          echo;                                                         \
1134          echo ".. contents:: :depth: 2";                               \
1135          echo;                                                         \
1136          for b in $$bases; do echo $$b; done                           \
1137            | $(am__create_global_log);                                 \
1138        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1139        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1140        if $$success; then                                              \
1141          col="$$grn";                                                  \
1142         else                                                           \
1143          col="$$red";                                                  \
1144          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1145        fi;                                                             \
1146        echo "$${col}$$br$${std}";                                      \
1147        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1148        echo "$${col}$$br$${std}";                                      \
1149        create_testsuite_report --maybe-color;                          \
1150        echo "$$col$$br$$std";                                          \
1151        if $$success; then :; else                                      \
1152          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1153          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1154            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1155          fi;                                                           \
1156          echo "$$col$$br$$std";                                        \
1157        fi;                                                             \
1158        $$success || exit 1
1159
1160check-TESTS:
1161        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1162        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1163        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1164        @set +e; $(am__set_TESTS_bases); \
1165        log_list=`for i in $$bases; do echo $$i.log; done`; \
1166        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1167        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1168        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1169        exit $$?;
1170recheck: all $(check_PROGRAMS)
1171        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1172        @set +e; $(am__set_TESTS_bases); \
1173        bases=`for i in $$bases; do echo $$i; done \
1174                 | $(am__list_recheck_tests)` || exit 1; \
1175        log_list=`for i in $$bases; do echo $$i.log; done`; \
1176        log_list=`echo $$log_list`; \
1177        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1178                am__force_recheck=am--force-recheck \
1179                TEST_LOGS="$$log_list"; \
1180        exit $$?
1181testHeaders.log: testHeaders
1182        @p='testHeaders'; \
1183        b='testHeaders'; \
1184        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1185        --log-file $$b.log --trs-file $$b.trs \
1186        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1187        "$$tst" $(AM_TESTS_FD_REDIRECT)
1188.test.log:
1189        @p='$<'; \
1190        $(am__set_b); \
1191        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1192        --log-file $$b.log --trs-file $$b.trs \
1193        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1194        "$$tst" $(AM_TESTS_FD_REDIRECT)
1195@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1196@am__EXEEXT_TRUE@       @p='$<'; \
1197@am__EXEEXT_TRUE@       $(am__set_b); \
1198@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1199@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1200@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1201@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1202
1203distdir: $(DISTFILES)
1204        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1205        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1206        list='$(DISTFILES)'; \
1207          dist_files=`for file in $$list; do echo $$file; done | \
1208          sed -e "s|^$$srcdirstrip/||;t" \
1209              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1210        case $$dist_files in \
1211          */*) $(MKDIR_P) `echo "$$dist_files" | \
1212                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1213                           sort -u` ;; \
1214        esac; \
1215        for file in $$dist_files; do \
1216          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1217          if test -d $$d/$$file; then \
1218            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1219            if test -d "$(distdir)/$$file"; then \
1220              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1221            fi; \
1222            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1223              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1224              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1225            fi; \
1226            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1227          else \
1228            test -f "$(distdir)/$$file" \
1229            || cp -p $$d/$$file "$(distdir)/$$file" \
1230            || exit 1; \
1231          fi; \
1232        done
1233check-am: all-am
1234        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1235        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1236check: check-am
1237all-am: Makefile $(LTLIBRARIES)
1238installdirs:
1239install: install-am
1240install-exec: install-exec-am
1241install-data: install-data-am
1242uninstall: uninstall-am
1243
1244install-am: all-am
1245        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1246
1247installcheck: installcheck-am
1248install-strip:
1249        if test -z '$(STRIP)'; then \
1250          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1251            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1252              install; \
1253        else \
1254          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1255            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1256            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1257        fi
1258mostlyclean-generic:
1259        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1260        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1261        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1262
1263clean-generic:
1264        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1265
1266distclean-generic:
1267        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1268        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1269
1270maintainer-clean-generic:
1271        @echo "This command is intended for maintainers to use"
1272        @echo "it deletes files that may require special tools to rebuild."
1273clean: clean-am
1274
1275clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1276        clean-noinstLTLIBRARIES mostlyclean-am
1277
1278distclean: distclean-am
1279        -rm -rf ./$(DEPDIR)
1280        -rm -f Makefile
1281distclean-am: clean-am distclean-compile distclean-generic \
1282        distclean-tags
1283
1284dvi: dvi-am
1285
1286dvi-am:
1287
1288html: html-am
1289
1290html-am:
1291
1292info: info-am
1293
1294info-am:
1295
1296install-data-am:
1297
1298install-dvi: install-dvi-am
1299
1300install-dvi-am:
1301
1302install-exec-am:
1303
1304install-html: install-html-am
1305
1306install-html-am:
1307
1308install-info: install-info-am
1309
1310install-info-am:
1311
1312install-man:
1313
1314install-pdf: install-pdf-am
1315
1316install-pdf-am:
1317
1318install-ps: install-ps-am
1319
1320install-ps-am:
1321
1322installcheck-am:
1323
1324maintainer-clean: maintainer-clean-am
1325        -rm -rf ./$(DEPDIR)
1326        -rm -f Makefile
1327maintainer-clean-am: distclean-am maintainer-clean-generic
1328
1329mostlyclean: mostlyclean-am
1330
1331mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1332        mostlyclean-libtool
1333
1334pdf: pdf-am
1335
1336pdf-am:
1337
1338ps: ps-am
1339
1340ps-am:
1341
1342uninstall-am:
1343
1344.MAKE: check-am install-am install-strip
1345
1346.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1347        clean-checkPROGRAMS clean-generic clean-libtool \
1348        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1349        distclean-compile distclean-generic distclean-libtool \
1350        distclean-tags distdir dvi dvi-am html html-am info info-am \
1351        install install-am install-data install-data-am install-dvi \
1352        install-dvi-am install-exec install-exec-am install-html \
1353        install-html-am install-info install-info-am install-man \
1354        install-pdf install-pdf-am install-ps install-ps-am \
1355        install-strip installcheck installcheck-am installdirs \
1356        maintainer-clean maintainer-clean-generic mostlyclean \
1357        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1358        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1359        uninstall-am
1360
1361.PRECIOUS: Makefile
1362
1363
1364$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1365
1366testHeaders: $(srcdir)/*.h
1367        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1368
1369.PHONY: testHeaders
1370
1371# Tell versions [3.59,3.63) of GNU make to not export all variables.
1372# Otherwise a system limit (for SysV at least) may be exceeded.
1373.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.